# The Resolve subsystem

This subsystem is an asynchronous, hierarchical Dependency Injection system.

Typically, resolve is configured on a state using a StateDeclaration.resolve declaration.

## Index

### Classes

- Resolvable
- ResolveContext
- UIInjectorImpl

### Interfaces

- ProviderLike
- ResolvableLiteral
- ResolvePolicy

### Type aliases

- PolicyAsync
- PolicyWhen

### Variables

- ALL_WHENS
- EAGER_WHENS
- NATIVE_INJECTOR_TOKEN
- whens

### Object literals

- defaultResolvePolicy
- resolvePolicies

## Type aliases

PolicyAsync: "WAIT" | "NOWAIT" | "RXWAIT"

- Defined in resolve/interface.ts:204

PolicyWhen: "LAZY" | "EAGER"

- Defined in resolve/interface.ts:203

## Variables

ALL_WHENS: string[] = [whens.EAGER, whens.LAZY]

- Defined in resolve/resolveContext.ts:18

EAGER_WHENS: string[] = [whens.EAGER]

- Defined in resolve/resolveContext.ts:19

NATIVE_INJECTOR_TOKEN: string = "Native Injector"

- Defined in resolve/resolveContext.ts:22

whens: object = resolvePolicies.when

#### Type declaration

- ##### EAGER: string

- ##### LAZY: string

- Defined in resolve/resolveContext.ts:17

## Object literals

defaultResolvePolicy: object

- Defined in resolve/resolvable.ts:20

async: string = "WAIT"

- Defined in resolve/resolvable.ts:22

when: string = "LAZY"

- Defined in resolve/resolvable.ts:21

resolvePolicies: object

- Defined in resolve/interface.ts:207

async: object

- Defined in resolve/interface.ts:212

NOWAIT: string = "NOWAIT"

- Defined in resolve/interface.ts:214

RXWAIT: string = "RXWAIT"

- Defined in resolve/interface.ts:215

WAIT: string = "WAIT"

- Defined in resolve/interface.ts:213

when: object

- Defined in resolve/interface.ts:208

EAGER: string = "EAGER"

- Defined in resolve/interface.ts:210

LAZY: string = "LAZY"

- Defined in resolve/interface.ts:209

Generated using TypeDoc